<!--
    var buttonList;
    
    function initButtonList()
    {
        buttonList=parent.document.getElementById('buttonList');
    }
    function clearButtonList()
    {
        if(buttonList!=null){
            buttonList.innerHTML='';
        }                     
    }
    function hideButtonList()
    {
        if(buttonList!=null){
            buttonList.style.display='none';
        }                     
    }
    function showButtonList()
    {
        if(buttonList!=null){
            buttonList.style.display='';
        }                     
    }
    function addButtonToList(id)
    {
        if(id!=null && id!=''){
            var objButton=document.getElementById(id);
            if(objButton!=null)
            {
                if(buttonList==null){
                    initButtonList();
                }
                if(buttonList!=null){
                    var buttonHtml = "<input type=\"button\" class=\"blueinput\" onclick=\"doClick('" + objButton.id + "')\" value=\"" + (objButton.value?objButton.value:'Button_' + objButton.id) + "\" />&nbsp;";
                    buttonList.innerHTML+=buttonHtml;
                }
            }
        }
    }
    function addButtonArray()
    {
        if(arguments!=null && arguments.length>0)
        {
            for(var i=0;i<arguments.length;i++){
                addButtonToList(arguments[i]);
            }
        }
    }
-->
